Skip to main content

This content has been archived and is no longer being updated. Links may not function; however, this content may be relevant to outdated versions of the product.

Support Article

HFix-4298 (Request for NTLM v2 Support) for PRPC 6.2 SP2 ML1

SA-4626

Summary



There is a requirement to apply HFix-4298 (Mircosoft NTLM v2 support) because the enterprise services requires the use of NTLM v2 authentication. Currently, the development environment only supports NTLMv1 (environment is PRPC 6.2 SP2 ML1).

There is also a requirement for the same HFix-4298 for Personal Edition 6.3.

Does PE63 SP1 build 38 support for NTLM v2?


Steps to Reproduce



Use NTLM v2 with PRPC 6.2 SP2 ML1.


Root Cause



HFix-4298 is not required as it is already included in PRPC 6.2 SP2 ML1.


Resolution



PRPC 6.2 SP2 ML1 already contains the changes for NTLMV2, as support was added in PRPC 6.2 SP2 and then backported to PRPC 6.2 GA.

Use the below article to configure the NTLMV2 profile:

https://pdn.pega.com/system-operations/setting-up-connectors-for-ntlmv2-using-the-jcifs-library

This works fine in 6.3 Personal Edition as well.
 
Suggest Edit

Published January 31, 2016 - Updated October 8, 2020

Did you find this content helpful? Yes No

Have a question? Get answers now.

Visit the Collaboration Center to ask questions, engage in discussions, share ideas, and help others.

We'd prefer it if you saw us at our best.

Pega Community has detected you are using a browser which may prevent you from experiencing the site as intended. To improve your experience, please update your browser.

Close Deprecation Notice
Contact us